Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22522

Description

Whenever I insert an attribute table with virtual numeric data into my print composer, QGIS drops any trailing zeros. For example, if I

round my dynamic field ($length, $area, $X ...) to two decimal digits, 12.50 becomes 12.5 and 58.00 becomes 58. Scientifically speaking,

there's quite a difference between 58 and 58.00 so trailing zeros should be preserved.

I've attached a sample project with sample shapefile and print composer which demonstrates the problem. I tested this on both 2.8.7 and

2.14.0.

Regarding implementation, the easiest way would probably be to remove the code that removes trailing zeros. In the event that the

current behaviour is desired for whatever reason (i.e. a feature, not a bug ;-), the better solution would be a tick box to toggle between the

two or a fully fledged number formatting option like there currently is for labels, with customised number of decimal places.

History

#1 - 2016-04-09 09:14 AM - Giovanni Manghi

- Affected QGIS version changed from 2.8.7 to master

#2 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-01-17 08:52 AM - eino jaskari

Has there been any attempt to fix this issue?

#4 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

trailing_zero_bug.zip 6.83 KB 2016-03-23 Kilian Hagemann
